<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>SeaSell - Sell an item</title>
    <link rel="icon" type="image/x-icon" href="includes/images/icon-logo.png">
    <link rel="stylesheet" href="includes/css-bootstrap/bootstrap.min.css">
    <script type="text/javascript" src="includes/js/bootstrap.bundle.js"></script>
    <link rel="stylesheet" href="css/listing.css">
    
    <script type="module">
      import * as meow from "./js/listing.js";

      window.addEventListener("load", () => {meow.onload()});
    </script>
     <!--links-->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap" rel="stylesheet">
</head>
<body>
  <div class="row bs">
    <div class="col-xxl-10 col-lg-12">
        <nav class="navbar navbar-expand-lg ">
            <a class="navbar-brand" href="#">
               <img src="includes/images/logo3wcolor1.png" class="logo">
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse c5" id="navbarNav">
              <ul class="navbar-nav center-box">
                <li class="nav-item">
                  <a class="nav-link active hover" aria-current="page" href="carsform.html">Home</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link hover" href="Fashionform.html">Fashion</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link hover" href="Bikeform.html">Bike</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link hover" href="#">All Categories</a>
                </li>
              </ul>
              <ul class="navbar-nav">
                <li class="nav-item">
                  <a class="nav-link hover" aria-current="page" href="register.html">Register</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link hover" href="login.html">Login</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link sell-btn" href="listing-upload.html">Sell</a>
                </li>
              </ul>
            </div>
        </nav>
    </div>
</div>

<div class="row" style="height:100px; width: 100%;"></div>

<div class="row p">
    <div class="col-xxl-2"></div>
    <div class="col-xxl-8">
      <div class="card">
        <div class="top">  
          <!--<button type="button">Upload</button>-->
        </div>
        <div class="drag-area">
          <span class="visible">
          Drag & drop image here or
          <span class="select" role="button">Browse</span>
        </span>
        <span class="on-drop">Drop images here</span>
          <input name="file" type="file" class="file" multiple />
        </div>
        <div class="container"></div>
      </div>

      <div class="container-right">
        <div class="container-top">
          <select name="category" class="combo-box form-control" id="category" onchange = "onChange(category.selectedIndex)">
            <option disabled selected>Select a Category</option>
            <option >Fashion</option>
            <option >Bike</option>
          </select>
        </div>

        <div class="container-fashion" id="con-1">
          
        </div>

        <div class="container-bike" id="con-2">
          <div class="group">
            <form>
            <input required="" type="text" name="text" class="txtbox" minlength = "1" maxlength="30" required>
            <label class="user-txt">Product Name</label>

            <p class="title-item">About the Item</p>
        
           
              <p class="txt-per-item">Condition</p> 
             
              <div class="box-condition1 con-6" onclick="changecon('con-6')">Brand new</div>
            
              <div class="box-condition1 con-7" onclick="changecon('con-7')">Like new</div>

              <div class="box-condition1 con-3" onclick="changecon('con-3')">Lightly used</div>

              <div class="box-condition1 con-4" onclick="changecon('con-4')">Well used</div>

              <div class="box-condition1 con-5" onclick="changecon('con-5')">Heavily used</div>

            <br><br>

           
              <br><p class="txt-per-item">Price</p> 
              <div class="box-condition1 con-8" onclick="changepric('con-8')" >For Sale</div>
              <input type="radio" name="condition" value="Sale" hidden>

              <div class="box-condition1 con-9" onclick="changepric('con-9')">For Free</div>
              <input type="radio" name="condition" value="Free" hidden>

            <br><br>

            <div class="input-group price-box mb-3">
              <span class="input-group-text" id="basic-addon1">PHP</span>
              <input type="text" class="form-control" placeholder="Price of your listing" required>
            </div>
          
            <p class="txt-per-item">Description</p> 
            <textarea style="height: 150px;" class="form-control combo-type" placeholder="Describe what you are selling and include any details a buyer might be interested in."></textarea>

            <p class="txt-per-item">Type</p> 
            <select name="bike" class="combo-type form-control" required>
              <option disabled selected>Select a Type</option>
              <option >Mountain Bike</option>
              <option >Road Bikes</option>
              <option >Foldable Bikes</option>
              <option >E-Bikes</option>
              <option >Parts & Accessories</option>
              <option >Children Bike</option>
              <option >Other Bicycles</option>
            </select>

            <p class="title-item">Optional Details</p>
            <p class="smtxt-per-item">With these details, buyers can find your listing more easily and ask fewer questions.</p> 
            <input type="checkbox"  class="form-check-input deal-check">
            <p class="smtxt-per-item"><b>I have more than one of the same item</b></p> 

            <p class="title-item">Deal Method</p>

            <input type="checkbox"  class="form-check-input deal-check" id="meet" onchange="addlocation()">
            <p class="smtxt-per-item">Meet-up</p> 

            <div class="form-floating mb-3 combo-type" id="location-txt" style="display: none;">
              <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
              <label for="floatingInput">Add Location</label>
            </div>

            <input type="checkbox"  class="form-check-input deal-check" id="mail" onchange="addmail()">
            <p class="smtxt-per-item">Mailing & Delivery</p>

            <textarea style="height: 100px;" id="mail-txtarea" class="form-control combo-type1"
            placeholder="Are there additional mailing or dellivery fees and options?" ></textarea>

            <input type="submit" class="form-control listing-btn" value="List now">
            </form>
          </div>
        </div>
      </div>
    </div>
    <div class="col-xxl-2"></div>
</div>
</body>
</html>

<script>
  const m = document.getElementById("meet");
  const n = document.getElementById("mail");


  function onChange(a){
    if(a == 1){
      document.getElementById("con-1").style.display = "block";
      document.getElementById("con-2").style.display = "none";
    }else if (a == 2){
      document.getElementById("con-2").style.display = "block";
      document.getElementById("con-1").style.display = "none";
    }
  }

  function addlocation(){
      if(m.checked == true){
        document.getElementById("location-txt").style.display = "block";
      }else if (m.checked == false){
        document.getElementById("location-txt").style.display = "none";
      }
  }

  function addmail(){
      if(n.checked == true){
        document.getElementById("mail-txtarea").style.display = "block";
      }else if (n.checked == false){
        document.getElementById("mail-txtarea").style.display = "none";
      }
  }

  function changecon(b){

    const boxlist = document.querySelectorAll(".box-condition1");
    
    for (let i = 0; i < 5; i++) {
      boxlist[i].style.backgroundColor = "white";
      boxlist[i].style.color = "black";
    }

    document.querySelector("." + b).style.backgroundColor = "rgb(0, 143, 255, 0.85)";
    document.querySelector("." + b).style.color = "white"; 
  }

  function changepric(b){

  const pricelist = document.querySelectorAll(".box-condition1");

  for (let i = 5; i < 7; i++) {
    pricelist[i].style.backgroundColor = "white";
    pricelist[i].style.color = "black";
  }

  document.querySelector("." + b).style.backgroundColor = "rgb(0, 143, 255, 0.85)";
  document.querySelector("." + b).style.color = "white"; 
  }
</script>